(function( $ ) {
	'use strict';

	$( window ).load(function() {
		/**
		 * JS for Upload Logo Start
		 */
		$("#notifysend").submit(function(event) {


			var checkedVals = $('.product:checkbox:checked').map(function() {
				return this.value;
			}).get();

			if(checkedVals.length == 0){ checkedVals = null;}


			// Stop form from submitting normally
			event.preventDefault();

			// Get some values from elements on the page:
			var $form = $(this),
				title 		= $form.find("input[name='title']").val(),
				subtitle 	= $form.find("textarea[name='subtitle']").val(),
				subject 	= $form.find("input[name='subject']").val(),
				cupon 		= $form.find("input[name='cupon']").val(),
				key 		= $form.find("input[name='key']").val(),
				logo 		= $form.find("input[name='logo']").val(),
				name 		= $form.find("input[name='name']").val(),
				email 		= $form.find("input[name='email']").val(),
				wpurl 		= $form.find("input[name='url']").val(),
                test_only   = $form.find("input[name='test_only']").is(':checked'),
				url 		= $form.attr("action");

			var formdata = {
				key:key,
				logo:logo,
				name:name,
				email:email,
				title: title,
				subtitle: subtitle.replace(/(?:\r\n|\r|\n)/g, '<br>'),
				subject: subject,
				cupon: cupon,
				products: checkedVals,
				url: wpurl,
                test_only:test_only,
			}


			// Send the data using post
			$.ajax({
				type: "POST",
				url: url,
				data:formdata,
				headers: {
					'Accept': 'application/json'
				},
			}).done(function(data) {

				$(".notice-error").empty().hide();

                if($form.find("input[name='test_only']").is(':checked')){
                    $("#result").empty().show().append('Test Email Sent.');
                    setTimeout(
                        function()
                        {
                            $("#result").empty().hide();
                        }, 5000);

                } else {

                    $("#result").empty().show().append(data.success);
                    $("input[type=text]").val('');
                    $("textarea").val('');

                }

			}).fail(function(data) {

				$("#result").empty().hide()
				$(".notice-error").empty().hide();
				$.each(data.responseJSON.errors, function (index, item) {
					$("." + index).empty().show().append(item[0]);
				});

			}).always(function(data) {

			});
		});

		/**
		 * JS for Upload Logo Start
		 */
		// on upload button click
		$('body').on( 'click', '.misha-upl', function(e){

			e.preventDefault();

			var button = $(this),
			custom_uploader = wp.media({
				title: 'Insert image',
				library : {
					// uploadedTo : wp.media.view.settings.post.id, // attach to the current post?
					type : 'image'
				},
				button: {
					text: 'Use this image' // button label text
				},
				multiple: false
			}).on('select', function() { // it also has "open" and "close" events
				var attachment = custom_uploader.state().get('selection').first().toJSON();
				button.html('<img src="' + attachment.url + '">').next().val(attachment.id).next().show();
				$('#from_name_3').val(attachment.id);
			}).open();

		});

		// on remove button click
		$('body').on('click', '.misha-rmv', function(e){

			e.preventDefault();

			var button = $(this);
			button.next().val(''); // emptying the hidden field
			$('#from_name_3').val('');
			button.hide().prev().html('Upload image');
		});
		/**
		 * JS for Upload Logo END
		*/
	});
})( jQuery );
