<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.getfoundni.co.uk/
 * @since      1.0.0
 *
 * @package    Notify_Gfni
 * @subpackage Notify_Gfni/admin/partials
 */

$notify_settings_options = get_option('notify_settings_option_name');
$key_0 = $notify_settings_options['key_0'];
$from_email_1 = $notify_settings_options['from_email_1'];
$from_name_2 = $notify_settings_options['from_name_2'];
$image = wp_get_attachment_image_src($notify_settings_options['from_name_3']);

if (!$key_0) {
    header("Location: /wp-admin/admin.php?page=notify-plugin-options&key=404");
}
?>
<div class="flex" x-data="{
                            name: '<?php echo $from_name_2; ?>',
                            from: '<?php echo $from_email_1; ?>',
                            subject: '',
                            title: '',
                            subtitle: '',
                            cupon: '',
                            products: []
                        }">

    <div class="notify-50">
        <form id="notifysend" method="POST" action="https://notify.getfoundni.co.uk/api/send">
            <div class="notify-card">
                <div class="notify-card-title">
                    <img src="<?php echo plugin_dir_url(dirname(__FILE__)) ?>assets/logo.png" alt="Notify by Get Found NI">
                </div>
                <div class="notify-card-subtitle">
                    <h2>Notify Email Builder</h2>
                </div>
                <div class="notify-card-body">
                    <input type="hidden" name="url" value="<?php echo get_bloginfo('url') ?>">
                    <input type="hidden" name="key" value="<?php echo $key_0; ?>">
                    <input type="hidden" name="email" value="<?php echo $from_email_1; ?>">
                    <input type="hidden" name="name" value="<?php echo $from_name_2; ?>">
                    <input type="hidden" name="logo" value="<?php echo !empty($image) ? $image[0] : '' ?>">

                    <div class="notify-input">
                        <label for="subject"> Email Subject</label>
                        <input name="subject" type="text" x-model="subject" class="regular-text" placeholder="Email Subject" />
                        <div style="display:none;" class="notice notice-error inline subject"></div>
                    </div>


                    <div class="notify-input">
                        <label for="title"> Title </label>
                        <input name="title" x-model="title" type="text" class="regular-text" placeholder="Email Title" />
                        <div style="display:none;" class="notice notice-error inline title"></div>
                    </div>

                    <div class="notify-input">
                        <label for="subtitle"> Subtitle Content</label>
                        <textarea name="subtitle" x-model="subtitle" cols="80" rows="10"></textarea>
                        <div style="display:none;" class="notice notice-error inline subtitle"></div>
                    </div>


                    <div class="notify-input">
                        <label for="cupon">Coupon Code (Optional)</label>
                        <input name="cupon" type="text" x-model="cupon" class="regular-text" placeholder="Cupon Code" />
                        <div style="display:none;" class="notice notice-error inline cupon"></div>
                    </div>

                    <div class="notify-input-products">
                        <h2>Products</h2>
                        <p>Select products to be included in the email</p>
                        <div class="notify-input-product-cards">
                            <?php
                            $query = array(
                                'post_type' => 'product',
                                'posts_per_page' => '60',
                                'post_status' => 'publish',
                                'meta_query' => array()
                            );
$wp_query = new WP_Query($query);
$data = [];
foreach ($wp_query->get_posts() as $post) {
    $product = wc_get_product($post->ID); ?>

                                <label for="<?php echo $product->get_id(); ?>" class="selected-label" >
                                    <input class="product" type="checkbox"
                                        name="selected-item"
                                        @click="
                                            if(products.some(e => e.id === <?php echo $product->get_id(); ?>)){
                                                const indexOfObject = products.findIndex(object => {
                                                    return object.id === <?php echo $product->get_id(); ?>;
                                                });
                                                products.splice(indexOfObject, 1);
                                            } else {
                                                products.push({
                                                    id:    <?php echo $product->get_id(); ?>,
                                                    image: '<?php echo get_the_post_thumbnail_url($post->ID, 'woocommerce_single');//wp_get_attachment_image_url($product->get_image_id(), 'us_600_600_crop');?>',
                                                    title: '<?php echo $product->get_title(); ?>',
                                                    price: '<?php echo '£' . number_format($product->get_price(), 2); ?>',
                                                })
                                            }
                                        "
                                        id="<?php echo $product->get_id(); ?>" value="<?php echo $product->get_id(); ?>">
                                    <span class="icon"></span>
                                    <div class="selected-content">
                                        <img src="<?php echo get_the_post_thumbnail_url($post->ID, 'woocommerce_single');//wp_get_attachment_image_url($product->get_image_id(), 'us_600_600_crop');?>" alt="<?php echo $product->get_title(); ?>"/>
                                        <h4><?php echo $product->get_title(); ?></h4>
                                    </div>
                                </label>

                            <?php
} ?>
                        </div>
                        <div style="display:none;" class="notice notice-error inline products"></div>
                    </div>

                    <div style="display:none" id="result" class="notice notice-success notify-success"></div>
                </div>

                <div class="notify-card-footer">
                    <div class="notify-testing">
                        <label for="test_only">
                            <input id="test_only" name="test_only" type="checkbox" />
                            Only Send To Test Email Addresses
                        </label>
                    </div>

                    <?php submit_button('Send!'); ?>
                </div>

            </div>
        </form>
    </div>
    <div class="notify-50">
        <div class="notify-card">

            <div class="notify-card-subtitle notify-header-preview" style="border-radius: 10px 10px 0 0;">
                <div class="header-key" style="border-radius: 10px 0 0 0;">
                    <p>From Name</p>
                </div>
                <div class="header-value">
                    <p x-text="name"></p>
                </div>
            </div>

            <div class="notify-card-subtitle notify-header-preview" >
                <div class="header-key">
                    <p>From Email</p>
                </div>
                <div class="header-value">
                    <p x-text="from"></p>
                </div>
            </div>

            <div class="notify-card-subtitle notify-header-preview" >
                <div class="header-key">
                    <p>Email Subject</p>
                </div>
                <div class="header-value">
                    <p x-text="subject"></p>
                </div>
            </div>

            <div class="notify-logo">
                <img src="<?php echo !empty($image) ? $image[0] : '' ?>" alt="">
            </div>
            <div class="notify-title">
                <p x-text="title"></p>
            </div>
            <div x-show="cupon != ''"class="notify-cupon">
                <p x-text="'Use Code:' + cupon"></p>
            </div>
            <div x-show="subtitle != ''"class="notify-preview-subtitle">
                <p x-html="subtitle.replaceAll('\n', '<br>')"></p>
            </div>
            <template x-for="product in products">
                <div class="notify-product">
                    <img :src="product.image" alt="">
                    <p x-text="product.title"></p>
                    <p x-text="product.price"></p>
                    <button class="notify-preview-button">Enter Competition</button>
                </div>
            </template>

            <div class="notify-preview-footer">
                <p>Click here to unsubscribe</p>
            </div>
        </div>
    </div>


</div>
