<?php

/**
 *
 *
 * @link              https://www.getfoundni.co.uk/
 * @since             1.0
 * @package           Notify_Gfni
 *
 * @wordpress-plugin
 * Plugin Name:       Notify By Get Found NI
 * Plugin URI:        notify-gfni
 * Description:       The simplest way to send marketing emails to existing customers.
 * Version:           2.0.1
 * Author:            Ryan Hull
 * Author URI:        https://justnotify.io/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       notify-gfni
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('NOTIFY_GFNI_VERSION', '2.0.1');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-notify-gfni-activator.php
 */
function activate_notify_gfni()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-notify-gfni-activator.php';
    Notify_Gfni_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-notify-gfni-deactivator.php
 */
function deactivate_notify_gfni()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-notify-gfni-deactivator.php';
    Notify_Gfni_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_notify_gfni');
register_deactivation_hook(__FILE__, 'deactivate_notify_gfni');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-notify-gfni.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_notify_gfni()
{
    $plugin = new Notify_Gfni();
    $plugin->run();
}
run_notify_gfni();
