(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
		function setCookie( c_name, value, exdays ) {
			var c_value = escape(value);
			if (exdays) {
				var exdate = new Date();
				exdate.setDate( exdate.getDate() + exdays );
				c_value += '; expires=' + exdate.toUTCString();
			}
			document.cookie = c_name + '=' + c_value;
		}

		function getCookie( c_name ) {
			var i, x, y, cookies = document.cookie.split( ';' );

			for ( i = 0; i < cookies.length; i++ ) {
				x = cookies[i].substr( 0, cookies[i].indexOf( '=') );
				y = cookies[i].substr( cookies[i].indexOf( '=') + 1 );
				x = x.replace( /^\s+|\s+$/g, '' );

				if ( x === c_name ) {
					return unescape( y );
				}
			}
		}

        $( window ).load(function() {

            window.setTimeout(function(){
                return;
                // When the cookie exists, do not show the popup!
                if (getCookie('displayedPopupNewsletter')) {
                    return;
                }
                var popup = '<div id="notify"><div class="modal-window">'+
                                '<div>'+
                                    '<a href="#" title="Close" class="modal-close" style="cursor:pointer;">CLOSE</a>'+
                                    '<div class="notify-form-wrapper">' +
                                        '<div class="notify-form-wrap">' +
                                            '<h2>Instant Discounts & Latest Prizes!</h2>' +
                                            '<form id="notify-form" class="notify-form" action="#" method="POST">' +
                                                '<input type="email" name="email" autocomplete="email" required placeholder="email@youremail.com"/>' +
                                                '<button type="submit">Subscribe</button>' +
                                            '</form>' +
                                        '</div>' +
                                    '</div>'+
                                '</div>'+
                            '</div></div>';

                var form = $("body").append(popup);

                form.find("form").submit(function(event){
                    event.preventDefault();
                    var $form = $(this),
                        email = $form.find("input[name='email']").val();
                    $.ajax({
                        type: "POST",
                        url: '/wp-json/notify-gfni/v1/subscribe',
                        data: {
                            email: email
                        },
                        headers: {
                            'Accept': 'application/json'
                        },
                    }).done(function(data) {
                        $("#notify-form").find("button").html('Saved - Thank You ✓').addClass("notify-success");
                        $("input[type=email]").val('');
                        $("#notify .modal-window").hide();
                    })
                });

                $("#notify .modal-window").show();

                // The popup was displayed. Set the cookie for 1 day.
                setCookie('displayedPopupNewsletter', 'yes', 1);

                $("a.modal-close").click(function(event) {
                    $("#notify .modal-window").hide();
                });

            }, 3000);


            //Notify Subscribe From
            $("#notify-form").submit(function(event) {

                // Stop form from submitting normally
                event.preventDefault();

                // Get some values from elements on the page:
                var $form = $(this),
                    email = $form.find("input[name='email']").val();

                var formdata = {
                    email:email,
                }


                // Send the data using post
                $.ajax({
                    type: "POST",
                    url: '/wp-json/notify-gfni/v1/subscribe',
                    data:formdata,
                    headers: {
                        'Accept': 'application/json'
                    },
                }).done(function(data) {
                    $form.find("button").html('Saved - Thank You ✓').addClass("notify-success");
                    $("input[type=email]").val('');
                    if($("#notify .modal-window").length){
                        $("#notify .modal-window").hide();
                     }
                }).fail(function(data) {
                    $form.find("button").html('Try Again');
                }).always(function(data) {

                });
            });
        });
})( jQuery );
